Index: /inundation/pyvolution/domain.py
===================================================================
--- /inundation/pyvolution/domain.py	(revision 2203)
+++ /inundation/pyvolution/domain.py	(revision 2204)
@@ -126,4 +126,8 @@
         return q
 
+    def set_time(self, time=0.0):
+        """Set the time"""
+
+        self.time = time
 
     def set_quantity_vertices_dict(self, quantity_dict):
@@ -167,5 +171,5 @@
         if kwargs.has_key('expression'):
             expression = kwargs['expression']
-            del kwargs['expression']            
+            del kwargs['expression']
 
             Q = self.create_quantity_from_expression(expression)
@@ -173,5 +177,5 @@
 
 
-        #Assign values    
+        #Assign values
         self.quantities[name].set_values(*args, **kwargs)
 
@@ -206,11 +210,11 @@
 
         Example:
-      
-    
+
+
         """
 
         from util import apply_expression_to_dictionary
         return apply_expression_to_dictionary(expression, self.quantities)
-    
+
 
 
@@ -332,6 +336,6 @@
         #          %(self.time, self.min_timestep,
         #            self.max_timestep, self.number_of_steps,
-        #            self.number_of_first_order_steps)        
-        
+        #            self.number_of_first_order_steps)
+
     def timestepping_statistics(self):
         """Return string with time stepping statistics for printing or logging
@@ -352,11 +356,11 @@
                      self.max_timestep, self.number_of_steps,
                      self.number_of_first_order_steps)
-            
-        return msg    
-
-            
+
+        return msg
+
+
     def write_boundary_statistics(self, quantities = None, tags = None):
         print self.boundary_statistics(quantities, tags)
-        
+
     def boundary_statistics(self, quantities = None, tags = None):
         """Output statistics about boundary forcing at each timestep
@@ -378,5 +382,5 @@
         #Input checks
         import types, string
-        
+
         if quantities is None:
             quantities = self.conserved_quantities
@@ -385,7 +389,7 @@
 
         msg = 'Keyword argument quantities must be either None, '
-        msg += 'string or list. I got %s' %str(quantities)   
+        msg += 'string or list. I got %s' %str(quantities)
         assert type(quantities) == types.ListType, msg
-            
+
 
         if tags is None:
@@ -395,23 +399,23 @@
 
         msg = 'Keyword argument tags must be either None, '
-        msg += 'string or list. I got %s' %str(tags)   
-        assert type(tags) == types.ListType, msg            
+        msg += 'string or list. I got %s' %str(tags)
+        assert type(tags) == types.ListType, msg
 
         #Determine width of longest quantity name (for cosmetic purposes)
         maxwidth = 0
         for name in quantities:
-            w = len(name) 
+            w = len(name)
             if w > maxwidth:
                 maxwidth = w
-            
+
         #Output stats
         msg = 'Boundary values at time %.4f:\n' %self.time
         for tag in tags:
             msg += '    %s:\n' %tag
-          
+
             for name in quantities:
                 q = self.quantities[name]
-        
-                #Find range of boundary values for tag and q 
+
+                #Find range of boundary values for tag and q
                 maxval = minval = None
                 for i, ((vol_id, edge_id), B) in\
@@ -421,5 +425,5 @@
                         if minval is None or v < minval: minval = v
                         if maxval is None or v > maxval: maxval = v
-         
+
                 if minval is None or maxval is None:
                     msg += '        Sorry no information available about' +\
@@ -432,5 +436,5 @@
         return msg
 
-    
+
     def get_name(self):
         return self.filename
@@ -513,5 +517,5 @@
             self.goto_latest_checkpoint()
 
-        if skip_initial_step is False:    
+        if skip_initial_step is False:
             yield(self.time)  #Yield initial values
 