Index: /inundation/pyvolution/smf.py
===================================================================
--- /inundation/pyvolution/smf.py	(revision 2218)
+++ /inundation/pyvolution/smf.py	(revision 2219)
@@ -51,5 +51,6 @@
                   gravity=9.8, gamma=1.85, \
                   massco=1, dragco=1, frictionco=0, psi=0, \
-                  dx=None, kappa=3.0, kappad=0.8, zsmall=0.01):
+                  dx=None, kappa=3.0, kappad=0.8, zsmall=0.01,
+                  verbose=False):
 
     from math import sin, tan, radians, pi, sqrt, exp
@@ -85,32 +86,37 @@
 
     #a few temporary print statements
-    print '\nThe slide ...'
-    print '\tLength: ', length
-    print '\tDepth: ', depth
-    print '\tSlope: ', slope
-    print '\tWidth: ', width
-    print '\tThickness: ', thickness
-    print '\tx0: ', x0
-    print '\ty0: ', y0
-    print '\tAlpha: ', alpha
-    print '\tAcceleration: ', a0
-    print '\tTerminal velocity: ', ut
-    print '\tChar time: ', t0
-    print '\tChar distance: ', s0
-    print '\nThe tsunami ...'
-    print '\tWavelength: ', w
-    print '\t2D amplitude: ', a2D
-    print '\t3D amplitude: ', a3D
+    if verbose is True:
+        print '\nThe slide ...'
+        print '\tLength: ', length
+        print '\tDepth: ', depth
+        print '\tSlope: ', slope
+        print '\tWidth: ', width
+        print '\tThickness: ', thickness
+        print '\tx0: ', x0
+        print '\ty0: ', y0
+        print '\tAlpha: ', alpha
+        print '\tAcceleration: ', a0
+        print '\tTerminal velocity: ', ut
+        print '\tChar time: ', t0
+        print '\tChar distance: ', s0
+        print '\nThe tsunami ...'
+        print '\tWavelength: ', w
+        print '\t2D amplitude: ', a2D
+        print '\t3D amplitude: ', a3D
 
     #keep an eye on some of the assumptions built into the maths
 
     if ((slope < 5) or (slope > 30)):
-        print 'WARNING: slope out of range (5 - 30 degrees) ', slope
+        if verbose is True:
+            print 'WARNING: slope out of range (5 - 30 degrees) ', slope
     if ((depth/length < 0.06) or (depth/length > 1.5)):
-        print  'WARNING: d/b out of range (0.06 - 1.5) ', depth/length
+        if verbose is True:
+            print  'WARNING: d/b out of range (0.06 - 1.5) ', depth/length
     if ((thickness/length < 0.008) or (thickness/length > 0.2)):
-        print 'WARNING: T/b out of range (0.008 - 0.2) ', thickness/length
+        if verbose is True:
+            print 'WARNING: T/b out of range (0.008 - 0.2) ', thickness/length
     if ((gamma < 1.46) or (gamma > 2.93)):
-        print 'WARNING: gamma out of range (1.46 - 2.93) ', gamma
+        if verbose is True:
+            print 'WARNING: gamma out of range (1.46 - 2.93) ', gamma
 
     return Double_gaussian(a3D=a3D, wavelength=w, width=width, \
@@ -171,5 +177,6 @@
                   gravity=9.8, gamma=1.85, \
                   massco=1, dragco=1, frictionco=0, \
-                  dx=None, kappa=3.0, kappad=0.8, zsmall=0.01):
+                  dx=None, kappa=3.0, kappad=0.8, zsmall=0.01,
+                  verbose=False):
 
     from math import sin, radians, sqrt
@@ -207,38 +214,45 @@
 
     #a few temporary print statements
-    print '\nThe slump ...'
-    print '\tLength: ', length
-    print '\tDepth: ', depth
-    print '\tSlope: ', slope
-    print '\tWidth: ', width
-    print '\tThickness: ', thickness
-    print '\tRadius: ', radius
-    print '\tDphi: ', dphi
-    print '\tx0: ', x0
-    print '\ty0: ', y0
-    print '\tAlpha: ', alpha
-    print '\tAcceleration: ', a0
-    print '\tMaximum velocity: ', um
-    print '\tChar time: ', t0
-    print '\tChar distance: ', s0
-    print '\nThe tsunami ...'
-    print '\tWavelength: ', w
-    print '\t2D amplitude: ', a2D
-    print '\t3D amplitude: ', a3D
+    if verbose is True:
+        print '\nThe slump ...'
+        print '\tLength: ', length
+        print '\tDepth: ', depth
+        print '\tSlope: ', slope
+        print '\tWidth: ', width
+        print '\tThickness: ', thickness
+        print '\tRadius: ', radius
+        print '\tDphi: ', dphi
+        print '\tx0: ', x0
+        print '\ty0: ', y0
+        print '\tAlpha: ', alpha
+        print '\tAcceleration: ', a0
+        print '\tMaximum velocity: ', um
+        print '\tChar time: ', t0
+        print '\tChar distance: ', s0
+        print '\nThe tsunami ...'
+        print '\tWavelength: ', w
+        print '\t2D amplitude: ', a2D
+        print '\t3D amplitude: ', a3D
 
     #keep an eye on some of the assumptions built into the maths
 
-    if ((slope < 10) or (slope > 30)):
-        print 'WARNING: slope out of range (10 - 30 degrees) ', slope
-    if ((depth/length < 0.34) or (depth/length > 0.5)):
-        print  'WARNING: d/b out of range (0.34 - 0.5) ', depth/length
-    if ((thickness/length < 0.10) or (thickness/length > 0.15)):
-        print 'WARNING: T/b out of range (0.10 - 0.15) ', thickness/length
-    if ((radius/length < 1.0) or (radius/length > 2.0)):
-        print 'WARNING: R/b out of range (1 - 2) ', radius/length
-    if ((dphi < 0.10) or (dphi > 0.52)):
-        print 'WARNING: del_phi out of range (0.10 - 0.52) ', dphi
-    if ((gamma < 1.46) or (gamma > 2.93)):
-        print 'WARNING: gamma out of range (1.46 - 2.93) ', gamma
+    if ((slope < 10) or (slope > 30)):        
+        if verbose is True:
+            print 'WARNING: slope out of range (10 - 30 degrees) ', slope
+    if ((depth/length < 0.34) or (depth/length > 0.5)):     
+        if verbose is True:
+            print  'WARNING: d/b out of range (0.34 - 0.5) ', depth/length
+    if ((thickness/length < 0.10) or (thickness/length > 0.15)):     
+        if verbose is True:
+            print 'WARNING: T/b out of range (0.10 - 0.15) ', thickness/length
+    if ((radius/length < 1.0) or (radius/length > 2.0)):     
+        if verbose is True:
+            print 'WARNING: R/b out of range (1 - 2) ', radius/length
+    if ((dphi < 0.10) or (dphi > 0.52)):     
+        if verbose is True:
+            print 'WARNING: del_phi out of range (0.10 - 0.52) ', dphi
+    if ((gamma < 1.46) or (gamma > 2.93)):     
+        if verbose is True:
+            print 'WARNING: gamma out of range (1.46 - 2.93) ', gamma
 
     return Double_gaussian(a3D=a3D, wavelength=w, width=width, \