Index: /inundation/pyvolution/combine_pts.py
===================================================================
--- /inundation/pyvolution/combine_pts.py	(revision 2251)
+++ /inundation/pyvolution/combine_pts.py	(revision 2252)
@@ -1,11 +1,8 @@
-"""Add two point files by the union of the fine and coarse points.
-Course points that are in the extent of the fine points are removed.
-
-The extent of the fine points file is assumed to be a rectangle, parallel
-to the x and y axis.
+"""Functionality for aggregation of points files
 
    Ole Nielsen, Stephen Roberts, Duncan Gray
    Geoscience Australia, 2005.   
 """
+
 from utilities.polygon import outside_polygon, inside_polygon
 from Numeric import take, concatenate
@@ -16,13 +13,20 @@
 
 def combine_rectangular_points_files(fine_points_file,
-                                    coarse_points_file,
-                                    output_points_file,
+                                     coarse_points_file,
+                                     output_points_file,
                                      verbose = False):
+    """Add two point files by the union of the fine and coarse points.
     
-    from load_mesh.loadASCII import import_points_file, extent, point_atts2array, export_points_file, add_point_dictionaries,take_points
+       Course points that are in the extent of the fine points are removed.
+
+       The extent of the fine points file is assumed to be a rectangle, parallel
+       to the x and y axis.
+    """
+    
+    from load_mesh.loadASCII import import_points_file, extent, point_atts2array, export_points_file, add_point_dictionaries, take_points
 
     
     # load fine points file
-    if verbose:print "loading Point files"
+    if verbose: print "loading Point files"
     fine = import_points_file(fine_points_file)
     
@@ -30,5 +34,5 @@
     coarse = import_points_file(coarse_points_file)
         
-    if verbose:print "doing other stuff"
+    if verbose: print "doing other stuff"
     # convert to Numeric    
     fine = point_atts2array(fine)
@@ -44,6 +48,6 @@
         if coarse.has_key('geo_reference'):
             coarse['pointlist'] = \
-             fine['geo_reference'].change_points_geo_ref(coarse['pointlist'],
-                                                         points_geo_ref=coarse['geo_reference'])  
+                fine['geo_reference'].change_points_geo_ref(coarse['pointlist'],
+                                                            points_geo_ref=coarse['geo_reference'])  
     # find extent of course points
     extent = extent(fine['pointlist'])    
@@ -55,5 +59,5 @@
         t0 = time.time()
     outside_coarse_indices = outside_polygon(coarse['pointlist'],
-                                             extent,closed=True)
+                                             extent, closed=True)
     if verbose:
         print "Points outside determined"
@@ -64,15 +68,17 @@
         
     # add fine points and out_points
-    if verbose:print "Adding points"
+    if verbose: print "Adding points"
     combined = add_point_dictionaries(fine, coarse)
 
     # save
-    if verbose:print "writing points"
+    if verbose: print "writing points"
     export_points_file(output_points_file, combined)
 
 def add_points_files(fine_points_file,
-                                    coarse_points_file,
-                                    output_points_file,
-                                     verbose = False):
+                     coarse_points_file,
+                     output_points_file,
+                     verbose = False):
+    """
+    """
     
     from load_mesh.loadASCII import import_points_file, extent, point_atts2array, export_points_file, add_point_dictionaries,take_points
@@ -113,15 +119,17 @@
         
     # add fine points and out_points
-    if verbose:print "Adding points"
+    if verbose: print "Adding points"
     combined = add_point_dictionaries(fine, coarse)
 
     # save
-    if verbose:print "writing points"
+    if verbose: print "writing points"
     export_points_file(output_points_file, combined)
 
 def reduce_points_to_mesh_extent(points_file,
-                                    mesh_file,
-                                    output_points_file,
-                                     verbose = False):
+                                 mesh_file,
+                                 output_points_file,
+                                 verbose = False):
+    """
+    """    
     
     from load_mesh.loadASCII import import_points_file, extent, point_atts2array, export_points_file, add_point_dictionaries,take_points, import_mesh_file
@@ -145,5 +153,5 @@
             extent = \
              points['geo_reference'].change_points_geo_ref(extent,
-                                                         points_geo_ref=mesh['geo_reference'])  
+                                                           points_geo_ref=mesh['geo_reference'])  
     #print "extent",extent 
 
Index: /inundation/pyvolution/test_all.py
===================================================================
--- /inundation/pyvolution/test_all.py	(revision 2251)
+++ /inundation/pyvolution/test_all.py	(revision 2252)
@@ -49,5 +49,5 @@
     files = get_test_files(path)
 
-    #print 'Testing:', files
+
 
     #test = re.compile('^test_[\w]*.py$', re.IGNORECASE)
@@ -60,4 +60,7 @@
         files.remove('test_all.py')
 
+    print 'Testing:'
+    for file in files:
+        print '  ' + file
 
     if globals().has_key('exclude'):
@@ -76,5 +79,5 @@
 
     from os import sep
-    
+
     #Attempt to compile all extensions
     execfile('..' + sep + 'utilities' + sep + 'compile.py')
Index: /inundation/pyvolution/test_combine_pts.py
===================================================================
--- /inundation/pyvolution/test_combine_pts.py	(revision 2251)
+++ /inundation/pyvolution/test_combine_pts.py	(revision 2252)
@@ -38,5 +38,5 @@
         fine_dict['geo_reference'] = Geo_reference(56,2.0,1.0)
         
-        fine_file = tempfile.mktemp(".pts")
+        fine_file = tempfile.mktemp('.pts')
         export_points_file(fine_file, fine_dict)
 
@@ -51,8 +51,8 @@
         coarse_dict['geo_reference'] = Geo_reference(56,4.0,3.0)
         
-        coarse_file = tempfile.mktemp(".pts")
+        coarse_file = tempfile.mktemp('.pts')
         export_points_file(coarse_file, coarse_dict)
         
-        out_file = tempfile.mktemp(".pts")
+        out_file = tempfile.mktemp('.pts')
 
         combine_rectangular_points_files(fine_file,coarse_file,out_file)
@@ -63,5 +63,5 @@
 
         results = import_points_file(out_file,
-                                  delimiter = ',')
+                                     delimiter = ',')
         answer = [[2.0, 0.0],
                   [0.0, 1.0],
@@ -73,5 +73,5 @@
         
         self.failUnless(len(results['pointlist']) == len(answer),
-                         'final number of points wrong. failed.')
+                        'final number of points wrong. failed.')
         
 	assert allclose(results['pointlist'], answer)
@@ -84,5 +84,5 @@
         
         self.failUnless(results['geo_reference'] == fine_dict['geo_reference'],
-                         ' failed.')
+                        ' failed.')
         #clean up
         os.remove(out_file)
@@ -100,5 +100,5 @@
         fine_dict['geo_reference'] = Geo_reference(56,2.0,1.0)
         
-        fine_file = tempfile.mktemp(".pts")
+        fine_file = tempfile.mktemp('.pts')
         export_points_file(fine_file, fine_dict)
 
@@ -113,8 +113,8 @@
         coarse_dict['geo_reference'] = Geo_reference(56,4.0,3.0)
         
-        coarse_file = tempfile.mktemp(".pts")
+        coarse_file = tempfile.mktemp('.pts')
         export_points_file(coarse_file, coarse_dict)
         
-        out_file = tempfile.mktemp(".pts")
+        out_file = tempfile.mktemp('.pts')
 
         combine_rectangular_points_files(fine_file,coarse_file,out_file)
@@ -149,5 +149,5 @@
         
         self.failUnless(results['geo_reference'] == fine_dict['geo_reference'],
-                         ' failed.')
+                        ' failed.')
         #clean up
         os.remove(out_file)
@@ -167,5 +167,5 @@
         fine_dict['geo_reference'] = Geo_reference(56,2.0,1.0)
         
-        fine_file = tempfile.mktemp(".pts")
+        fine_file = tempfile.mktemp('.pts')
         export_points_file(fine_file, fine_dict)
 
@@ -180,8 +180,8 @@
         coarse_dict['geo_reference'] = Geo_reference(56,4.0,3.0)
         
-        coarse_file = tempfile.mktemp(".pts")
+        coarse_file = tempfile.mktemp('.pts')
         export_points_file(coarse_file, coarse_dict)
         
-        out_file = tempfile.mktemp(".pts")
+        out_file = tempfile.mktemp('.pts')
         try:
             combine_rectangular_points_files(fine_file,coarse_file,out_file)
@@ -189,6 +189,6 @@
             pass
         else:
-            self.failUnless(0 ==1,
-                        'bad pts files did not raise error!')
+            self.failUnless(0 == 1,
+                            'bad pts files did not raise error!')
         #clean up
         os.remove(fine_file)
@@ -216,5 +216,5 @@
         fine_dict['geo_reference'] = Geo_reference(56,x_origin,y_origin)
         
-        points_file = tempfile.mktemp(".pts")
+        points_file = tempfile.mktemp('.pts')
         export_points_file(points_file, fine_dict)
 
@@ -236,8 +236,8 @@
         mesh['geo_reference'] = Geo_reference(56,x_origin+7.,y_origin+7.)
         
-        mesh_file = tempfile.mktemp(".tsh")
+        mesh_file = tempfile.mktemp('.tsh')
         export_mesh_file(mesh_file, mesh)
         
-        out_file = tempfile.mktemp(".pts")
+        out_file = tempfile.mktemp('.pts')
 
         reduce_points_to_mesh_extent(points_file,mesh_file,out_file)