Index: /inundation/pyvolution/vtk_realtime_visualiser.py
===================================================================
--- /inundation/pyvolution/vtk_realtime_visualiser.py	(revision 2266)
+++ /inundation/pyvolution/vtk_realtime_visualiser.py	(revision 2267)
@@ -52,4 +52,6 @@
         self.idle = threading.Event()
         self.redraw_ready = threading.Event()
+        self.unpaused = threading.Event()
+        self.unpaused.set()
 
         # Internal use - storage of vtk objects
@@ -106,5 +108,11 @@
 
         self.quitButton = Tkinter.Button(self.root, text='Quit', command=self.shutdown)
-        self.quitButton.pack(side=Tkinter.BOTTOM)
+        self.quitButton.pack(side=Tkinter.RIGHT)
+
+        self.pauseButton = Tkinter.Button(self.root, text='Pause', command=self.unpaused.clear)
+        self.pauseButton.pack(side=Tkinter.LEFT)
+
+        self.resumeButton = Tkinter.Button(self.root, text='Resume', command=self.unpaused.set)
+        self.resumeButton.pack(side=Tkinter.LEFT)
 
     def add_axes(self):
@@ -142,26 +150,29 @@
         else:
             scale = self.default_scale_z
-
-        self.grids[q] = make_vtkpoints(self.N_tri,
-                                   self.N_vert,
-                                   scale,
-                                   self.domain.quantities[q].vertex_values,
-                                   self.vert_index,
-                                   self.domain.triangles)
+        #############################################################
+        # Disabled the make_vtkpoints call because the extension is
+        # difficult to get to link under windows
+        #############################################################
+        #self.grids[q] = make_vtkpoints(self.N_tri,
+        #                           self.N_vert,
+        #                           scale,
+        #                           self.domain.quantities[q].vertex_values,
+        #                           self.vert_index,
+        #                           self.domain.triangles)
+        #grid = self.grids[q]
+        #############################################################
+        
+        qty_index = zeros(self.N_vert, Float)
+        for n in range(self.N_tri):
+            for v in range(3):
+                qty_index[self.domain.triangles[n][v]] = self.domain.quantities[q].vertex_values[n][v]
+                
+        self.grids[q] = vtk.vtkPoints()
         grid = self.grids[q]
-        ###################################################
-        # Obsoleted by vtk_visualiser_ext and make_vtkpoints
-        ###################################################
-        #qty_index = zeros(self.N_vert, Float)
-        #for n in range(self.N_tri):
-        #    for v in range(3):
-        #        qty_index[self.domain.triangles[n][v]] = self.domain.quantities[q].vertex_values[n][v]
-        #self.grids[q] = vtk.vtkPoints()
-        #grid = self.grids[q]
-        #for v in range(self.N_vert):
-        #    grid.InsertNextPoint(self.vert_index[v][0],
-        #                         self.vert_index[v][1],
-        #                         qty_index[v] * scale)
-        ###################################################
+        
+        for v in range(self.N_vert):
+            grid.InsertNextPoint(self.vert_index[v][0],
+                                 self.vert_index[v][1],
+                                 qty_index[v] * scale)
 
         # Can't recycle vtkPolyData objects: Apparently they behave
@@ -211,4 +222,5 @@
         self.domain.visualise = False
         self.idle.set()
+        self.unpaused.set()
         self.root.withdraw()
         self.root.quit()
Index: /inundation/pyvolution/vtk_visualiser_ext.cpp
===================================================================
--- /inundation/pyvolution/vtk_visualiser_ext.cpp	(revision 2266)
+++ /inundation/pyvolution/vtk_visualiser_ext.cpp	(revision 2267)
@@ -1,2 +1,8 @@
+/*
+ * Additional functions used by the VTK visualiser
+ * currently not used, since it is a pain to link on windows
+ *
+ */
+
 #include "Python.h"
 #include "Numeric/arrayobject.h"