Index: /documentation/planning/priorities.tex
===================================================================
--- /documentation/planning/priorities.tex	(revision 2332)
+++ /documentation/planning/priorities.tex	(revision 2332)
@@ -0,0 +1,113 @@
+\documentclass{report}
+
+\title{AnuGA Inundation Modelling Project - Planning and Priorities}
+\author{Ole Nielsen, Duncan Gray, Jane Sexton, Nick Bartzis, Trevor Dhu, Neil Corby, Stephen Roberts, ...}
+
+
+\date{3 February, 2006}		% update before release!
+				% Use an explicit date so that reformatting
+				% doesn't cause a new date to be used.  Setting
+				% the date to \today can be used during draft
+				% stages to make it easier to handle versions.
+
+\release{1.0}			% release version; this is used to define the
+				% \version macro
+
+\makeindex			% tell \index to actually write the .idx file
+
+\begin{document}
+\maketitle
+
+\section*{Overview}
+
+The ANUGA inundation modelling project is a collaborative effort between
+ Geoscience Australia (GA) and the Australian National University
+ (ANU). GA is largely responsible for the software development,
+ applications to scenario and risk modelling projects as well as
+ contributions to the Australian National Research Priorities.  
+ ANU is mainly responsible for the mathematical and numerical modelling approach and the continued development of the model. 
+ 
+ 
+ This
+ document outlines the agreed priorities for the inundation modelling
+ project predominantly seen from the GA perspective, but including the ANU where appropriate. Priorities are organised into three separate prioritised lists
+
+\begin{enumerate}  
+  \item Deliverables of specific case studies. These are typically tasks that are requested by GA's clients.
+  \item Research topics that have emerged and would advance the understanding of the science of hydrodynamic inundation 
+  \item Development and maintenance issues that are necessary for the continued health of the software itself. 
+\end{enumerate} 
+
+where the first is primarily resourced by Jane Sexton, Nick Bartzis, Trevor Dhu; the second by Stephen Roberts and the third primarily by Ole Nielsen and Duncan Gray. Significant overlaps are expected.
+
+\section*{specific case studies}
+
+The list in order of importance but subject to availability of data is
+
+\begin{enumerate} 
+  \item Onslow, WA. This study mainly supports the FESA fundede WA study, but has synergies with 
+    projecs in other lists as well (Jane, Ole, Nick)
+  \item Port Hedland. Also part of the WA project. (Jane, Nick)
+  \item Wrap up Sydney (Benfield) project including refinements and damage modelling. 
+    This project has synergies with the ANUGA Demo initiative (Everyone)
+  \item SE Qld study
+  \item Hobart 
+\end{enumerate}
+
+
+
+\section*{Research topics.}
+
+The list is
+
+\begin{enumerate} 
+  \item Sensitivity study using Onslow project (Jane, Ole)
+  \item Probabilistic integration with URS model (Ole, Trevor)  
+  \item Validation (Ole et al with David Burbidge & Tom Baldock UQ)  
+  \item Momentum sink study (Duncan)
+  \item Effect of debris (?) 
+  \item Automatic definition of mesh-resolution based on data values (Duncan) 
+  \item Write ANUGA in term of latitudes and longitudes
+  \item Coriolis effect
+  \item Revive storm surge model
+  \item Riverine flooding
+\end{enumerate}
+
+
+
+\section*{Development and maintenance issues.}
+
+The list is
+
+\begin{enumerate} 
+  \item Integrated damage modelling (Nick?)
+  \item Streamlined end-to-end process (Ole, Neil, Nick)
+  \item Map2PDF (Neil)
+  \item Easy interface to building regions of variable resolution (Duncan)
+  \item Bug fixing (see tickets in TRAC) - ongoing (Duncan & Ole)
+  \item Sydney demo (Jane, Duncan, Ole)
+  \item Deploy parallel version (Ole, Nick)
+  \item Userguide, technical documentation and installation process (Everyone)
+  \item OSS License (Ole)
+\end{enumerate}
+
+
+\section*{Other stuff.}
+
+The list is
+
+\begin{enumerate} 
+  \item Coordinate FESA project (Jane)
+  \item Coordinate ANUGA project (Ole)
+  \item IM (Duncan)
+  \item Coordinate something (Trevor)
+\end{itemize}     
+    
+
+
+Wrap up Sydney (Benfield) project including refinements and damage modelling. This project has synergies with the ANUGA Demo initiative.
+
+\end{document}
+
+
+