Index: /inundation/pyvolution/realtime_visualisation_new.py
===================================================================
--- /inundation/pyvolution/realtime_visualisation_new.py	(revision 2333)
+++ /inundation/pyvolution/realtime_visualisation_new.py	(revision 2334)
@@ -474,18 +474,18 @@
 
 
-        colour[6*i  ,:] = s*array([0.3 - q0r, 0.3 - q0, 0.3 + q0b])
-        colour[6*i+1,:] = s*array([0.3 - q1r, 0.3 - q1, 0.3 + q1b])
-        colour[6*i+2,:] = s*array([0.3 - q2r, 0.3 - q2, 0.3 + q2b])
-        colour[6*i+3,:] = s*array([0.3 - q0r, 0.3 - q0, 0.3 + q0b])
-        colour[6*i+4,:] = s*array([0.3 - q2r, 0.3 - q2, 0.3 + q2b])
-        colour[6*i+5,:] = s*array([0.3 - q1r, 0.3 - q1, 0.3 + q1b])
-
-#        #s = 0.1
-#        colour[6*i  ,:] = s*array([0.3 - q0r, 0.0, 0.3 + q0b])
-#        colour[6*i+1,:] = s*array([0.3 - q1r, 0.0, 0.3 + q1b])
-#        colour[6*i+2,:] = s*array([0.3 - q2r, 0.0, 0.3 + q2b])
-#        colour[6*i+3,:] = s*array([0.3 - q0r, 0.0, 0.3 + q0b])
-#        colour[6*i+4,:] = s*array([0.3 - q2r, 0.0, 0.3 + q2b])
-#        colour[6*i+5,:] = s*array([0.3 - q1r, 0.0, 0.3 + q1b])
+#        colour[6*i  ,:] = s*array([0.3 - q0r, 0.3 - q0, 0.3 + q0b])
+#        colour[6*i+1,:] = s*array([0.3 - q1r, 0.3 - q1, 0.3 + q1b])
+#        colour[6*i+2,:] = s*array([0.3 - q2r, 0.3 - q2, 0.3 + q2b])
+#        colour[6*i+3,:] = s*array([0.3 - q0r, 0.3 - q0, 0.3 + q0b])
+#        colour[6*i+4,:] = s*array([0.3 - q2r, 0.3 - q2, 0.3 + q2b])
+#        colour[6*i+5,:] = s*array([0.3 - q1r, 0.3 - q1, 0.3 + q1b])
+
+        s = 0.1
+        colour[6*i  ,:] = s*array([0.3 - q0r, 0.3, 0.3 + q0b])
+        colour[6*i+1,:] = s*array([0.3 - q1r, 0.3, 0.3 + q1b])
+        colour[6*i+2,:] = s*array([0.3 - q2r, 0.3, 0.3 + q2b])
+        colour[6*i+3,:] = s*array([0.3 - q0r, 0.3, 0.3 + q0b])
+        colour[6*i+4,:] = s*array([0.3 - q2r, 0.3, 0.3 + q2b])
+        colour[6*i+5,:] = s*array([0.3 - q1r, 0.3, 0.3 + q1b])
 
 
Index: /inundation/pyvolution/shallow_water_vtk.py
===================================================================
--- /inundation/pyvolution/shallow_water_vtk.py	(revision 2333)
+++ /inundation/pyvolution/shallow_water_vtk.py	(revision 2334)
@@ -36,4 +36,6 @@
             from vtk_realtime_visualiser import Visualiser
             self.visualiser = Visualiser(self,scale_z,rect)
+            self.visualiser.coloring['stage'] = False
+            self.visualiser.coloring['elevation'] = False
             self.visualiser.setup['elevation']=True
             self.visualiser.updating['stage']=True
@@ -42,4 +44,5 @@
         if self.visualise_color_stage == True:
             self.visualiser.coloring['stage'] = True
+            
 
 
Index: /inundation/pyvolution/vtk_realtime_visualiser.py
===================================================================
--- /inundation/pyvolution/vtk_realtime_visualiser.py	(revision 2333)
+++ /inundation/pyvolution/vtk_realtime_visualiser.py	(revision 2334)
@@ -46,4 +46,5 @@
         self.qcolor = {}
         self.scale_z = {}
+        self.coloring = {}
         self.default_scale_z = default_scale_z
         self.domain = domain
@@ -57,4 +58,5 @@
         # Internal use - storage of vtk objects
         self.grids = {}
+        self.scalars = {}
         self.actors = {}
         self.polydata = {}
@@ -150,4 +152,5 @@
         else:
             scale = self.default_scale_z
+            
         #############################################################
         # Disabled the make_vtkpoints call because the extension is
@@ -169,5 +172,7 @@
 
         self.grids[q] = vtk.vtkPoints()
+        self.scalars[q] = vtk.vtkFloatArray()
         grid = self.grids[q]
+        scalars = self.scalars[q]
 
         for v in range(self.N_vert):
@@ -175,4 +180,5 @@
                                  self.vert_index[v][1],
                                  qty_index[v] * scale)
+            scalars.InsertNextValue(qty_index[v]);
 
         # Can't recycle vtkPolyData objects: Apparently they behave
@@ -183,4 +189,6 @@
 
         polydata.SetPoints(grid)
+        if self.coloring[q]:
+            polydata.GetPointData().SetScalars(scalars);
         polydata.SetPolys(self.cells)
 
@@ -217,6 +225,6 @@
             self.root.update_idletasks()
             self.idle.set()
-        self.root.after(100, self.redraw)
-
+        self.root.after(100, self.redraw)     
+    
     def shutdown(self):
         self.domain.visualise = False