Index: /documentation/planning/priorities.tex
===================================================================
--- /documentation/planning/priorities.tex	(revision 2339)
+++ /documentation/planning/priorities.tex	(revision 2340)
@@ -1,9 +1,9 @@
-\documentclass{report}
+\documentclass[11pt]{report}
 
-\title{AnuGA Inundation Modelling Project - Planning and Priorities}
-\author{Ole Nielsen, Duncan Gray, Jane Sexton, Nick Bartzis, Trevor Dhu, Neil Corby, Stephen Roberts, ...}
+\title{AnuGA Inundation Modelling Project - Planning and Priorities - Draft}
+\author{Ole Nielsen, Duncan Gray, Jane Sexton, Nick Bartzis,\\ Trevor Dhu, Neil Corby, Stephen Roberts, ...}
 
 
-\date{3 February, 2006}		% update before release!
+\date{6 February, 2006}		% update before release!
 				% Use an explicit date so that reformatting
 				% doesn't cause a new date to be used.  Setting
@@ -31,25 +31,30 @@
  This
  document outlines the agreed priorities for the inundation modelling
- project predominantly seen from the GA perspective, but including the ANU where appropriate. Priorities are organised into three separate prioritised lists
+ project predominantly seen from the GA perspective, but including the ANU where appropriate. 
+ Priorities are organised into three separate streams focusing at the following objectives: 
+ \begin{enumerate}  
+   \item Deliverables of specific case studies. These are typically
+   tasks that are requested by GA's clients.
+   \item Research topics that have emerged and would advance the
+   understanding of the science of hydrodynamic inundation
+   \item Development and maintenance issues that are necessary for the
+   continued health of the software itself.
+\end{enumerate} 
+where the first is primarily resourced by Jane Sexton and Nick Bartzis, the second by Stephen Roberts and Ole Nielsen, while the third is the responsibility of Ole Nielsen and Duncan Gray. Significant overlaps are expected and names assigned to tasks are tentative only. 
 
-\begin{enumerate}  
-  \item Deliverables of specific case studies. These are typically tasks that are requested by GA's clients.
-  \item Research topics that have emerged and would advance the understanding of the science of hydrodynamic inundation 
-  \item Development and maintenance issues that are necessary for the continued health of the software itself. 
-\end{enumerate} 
-
-where the first is primarily resourced by Jane Sexton, Nick Bartzis, Trevor Dhu; the second by Stephen Roberts and the third primarily by Ole Nielsen and Duncan Gray. Significant overlaps are expected.
 
 \section*{specific case studies}
 
-The list in order of importance but subject to availability of data and URS or MOST input is
+The list in order of importance but subject to availability of
+topographic data and URS/MOST input is
 
 \begin{enumerate} 
   \item Onslow, WA. This study (to be completed FY 0506) mainly supports the FESA funded WA study, but has synergies with 
-    projecs in other lists as well (Jane, Ole, Nick)
+    projects in other lists as well (Jane, Ole, Nick)
   \item Port Hedland. Also part of the WA project (completion FY 0506). (Jane, Nick)
   \item Wrap up Sydney (Benfield) project including refinements and damage modelling (preferably
 completed FY 0506). 
     This project has synergies with the ANUGA Demo initiative (Everyone)
+  \item NSW state study  
   \item SE Qld study
   \item Hobart 
@@ -57,4 +62,5 @@
 within the next 12 months) and consultation has occurred with stakeholders.
 \end{enumerate}
+No more than priority 1-3 are expected to complete before 20 June 2006.
 
 
@@ -76,10 +82,10 @@
   \item Riverine flooding
   \item Solution uncertainty (interaction with Hugh Durrant-Whyte and Kumar from USyd)
-  \item Scenario database (future); this could compliment the ATWS operational centre. (how often 
+  \item Scenario database (future); this could complement the ATWS operational centre. (how often 
  would it need to be updated, i.e how long will the results remain valid? 
 eg, effect of sediment transport affecting local bathymetry, change
-in water depth due to climate change)
+in sea levels due to climate change)
 \end{enumerate}
-
+No more than priority 1-4 are expected to complete before 20 June 2006.
 
 
@@ -91,6 +97,6 @@
   \item Bug fixing (see tickets in TRAC) - ongoing (Duncan \& Ole)
   \item Integrated damage modelling (Nick?)
-  \item Streamlined end-to-end process (Ole, Neil, Nick)
-  \item Map2PDF (Neil)
+  \item Streamlined end-to-end process (Ole, Neil, Nick, Jane)
+  \item Map2PDF vs ArcReader (Neil)
   \item Easy interface to building regions of variable resolution (Duncan)
   \item Sydney demo (Jane, Duncan, Ole)
@@ -98,6 +104,7 @@
   \item Userguide, technical documentation and installation process (Everyone)
   \item OSS License (Ole)
-  \item Visualisation (Nick?)
+  \item Visualisation (Nick, Ole)
 \end{enumerate}
+It is the hope that all these priorities will be adressed before 20 June 2006.
 
 
@@ -109,6 +116,6 @@
   \item Coordinate FESA project (Jane)
   \item Coordinate ANUGA project (Ole)
-  \item IM (Duncan)
-  \item Coordinate something (Trevor)
+  \item Coordinate IM issues (Duncan)
+  %\item Coordinate something (Trevor)
 \end{enumerate}
 