Index: /inundation/pmesh/test_mesh.py
===================================================================
--- /inundation/pmesh/test_mesh.py	(revision 2345)
+++ /inundation/pmesh/test_mesh.py	(revision 2346)
@@ -98,5 +98,5 @@
         m = Mesh(userVertices=[a,d,f], userSegments=[s1,s2,s3], regions=[r1] )
         
-        m.generateMesh("QApz", maxArea = 2.1 )         
+        m.generateMesh("Q", maxArea = 2.1 )         
 
         #print m
@@ -127,5 +127,5 @@
         m = Mesh(userVertices=[v0,v1,v2,v3], userSegments=[s1,s2,s3,s4,s5], regions=[r1] )
         
-        m.generateMesh("QApz", maxArea = 36 )         
+        m.generateMesh("Q", maxArea = 36 )         
 
         #m.plotMeshTriangle()
@@ -140,5 +140,5 @@
         m = Mesh(userVertices=[v0,v1,v2,v3], userSegments=[s1,s2,s3,s4,s5],
                  regions=[r1,r2] )
-        m.generateMesh("QApz", maxArea = 36 )
+        m.generateMesh("Q", maxArea = 36 )
         
         self.failUnless(len(m.meshTriangles) >= 6,
@@ -151,5 +151,5 @@
         m = Mesh(userVertices=[v0,v1,v2,v3], userSegments=[s1,s2,s3,s4,s5],
                  regions=[r1,r2] )
-        m.generateMesh("QApz", maxArea = 36 )  
+        m.generateMesh("Q", maxArea = 36 )  
         #print "len(m.meshTriangles)",len(m.meshTriangles)
         
@@ -163,5 +163,5 @@
         m = Mesh(userVertices=[v0,v1,v2,v3], userSegments=[s1,s2,s3,s4,s5],
                  regions=[r1,r2] )
-        m.generateMesh("QApz", maxArea = 8 ) 
+        m.generateMesh("Q", maxArea = 8 ) 
         self.failUnless(len(m.meshTriangles) >= 8,
                         'testregion_with_maxarea 4: # of tris is wrong!')    
@@ -173,5 +173,5 @@
         m = Mesh(userVertices=[v0,v1,v2,v3], userSegments=[s1,s2,s3,s4,s5],
                  regions=[r1,r2] )
-        m.generateMesh("QApz", maxArea = 36,isRegionalMaxAreas = False )      
+        m.generateMesh("Q", maxArea = 36,isRegionalMaxAreas = False )      
         self.failUnless(len(m.meshTriangles) == 2, 
                         'test_regionalMaxArea 5:generated mesh is wrong!')
@@ -346,5 +346,5 @@
         
         m = Mesh(userVertices=[a,b,c,d,e,f,g], userSegments=[s1,s2,s3,s4,s5,s6,s7,s8,s9,s10], regions=[r1,r2,r3] )
-        m.generateMesh("QApz", maxArea = 2.1 )
+        m.generateMesh("Q", maxArea = 2.1 )
         #print m
         Triangulation =  m.getTriangulation()
@@ -376,5 +376,5 @@
         m = Mesh(userVertices=[a,d,f], userSegments=[s1,s2,s3], regions=[r1])
 
-        m.generateMesh("QApz", maxArea = 2.1)
+        m.generateMesh("Q", maxArea = 2.1)
 
         vert = m.getMeshVertices()
@@ -403,5 +403,5 @@
         m = Mesh(userVertices=[a,d,f], userSegments=[s1,s2,s3], regions=[r1])
 
-        m.generateMesh("QApz", maxArea = 2.1 )
+        m.generateMesh("Q", maxArea = 2.1 )
 
         vert = m.getMeshVertices()
@@ -425,5 +425,5 @@
         m = Mesh(userVertices=[a,d,f], userSegments=[s1,s2,s3])
 
-        m.generateMesh("QApz", maxArea = 2.1 )
+        m.generateMesh("Q", maxArea = 2.1 )
 
         m.export_mesh_file("from_test_mesh.tsh")
@@ -456,5 +456,5 @@
         m = Mesh(userVertices=[a,d,f,e], userSegments=[s1,s2,s3,s4])
 
-        m.generateMesh("QApz", maxArea = 2.1)
+        m.generateMesh("Q", maxArea = 2.1)
 
         seg = m.getMeshSegments()
@@ -480,5 +480,5 @@
         m = Mesh(userVertices=[a,d,f,e], userSegments=[s1,s2,s3,s4])
 
-        m.generateMesh("QApz", maxArea = 2.1 )
+        m.generateMesh("Q", maxArea = 2.1 )
         seg = m.getMeshSegments()
         
@@ -553,5 +553,5 @@
         m = Mesh(userVertices=[a,d,f,e], userSegments=[s1,s2,s3,s4])
 
-        m.generateMesh("QApz", maxArea = 2.1 )
+        m.generateMesh("Q", maxArea = 2.1 )
 
         seg = m.getMeshSegments()
@@ -687,5 +687,5 @@
                  geo_reference=geo)
 
-        m.generateMesh("QApz", maxArea = 2.1)
+        m.generateMesh("Q", maxArea = 2.1)
         fileName = tempfile.mktemp(".tsh")
         #print "dgs!!!"
@@ -730,5 +730,5 @@
                  geo_reference=geo)
 
-        m.generateMesh("QApz", maxArea = 2.1)
+        m.generateMesh("Q", maxArea = 2.1)
         fileName = tempfile.mktemp(".msh")
         #print "dgs!!!"
@@ -804,5 +804,5 @@
                  holes = [h1])      
         
-        m.generateMesh("QApz", maxArea = 2.1)
+        m.generateMesh("Q", maxArea = 2.1)
         #print "mesh ***************dsg*", m
 
@@ -977,5 +977,5 @@
                         'exported Ascii xya file is wrong')
        
-        m.generateMesh("QApz", maxArea = 2.1)
+        m.generateMesh("Q", maxArea = 2.1)
         fileName = tempfile.mktemp(".xya")
         fileName = 't.xya'
@@ -1281,5 +1281,5 @@
                  regions=[r1])
 
-        m.generateMesh("QApza2.1")
+        m.generateMesh("Qa2.1")
 
         seg = m.getMeshSegments()
@@ -1312,5 +1312,5 @@
         titles = ['ele','friction']
         m.attributeTitles = titles
-        m.generateMesh("QApza2.1")
+        m.generateMesh("Qa2.1")
 
         seg = m.getMeshSegments()
@@ -1373,5 +1373,5 @@
         titles = ['ele','friction']
         m.attributeTitles = titles
-        m.generateMesh("QApza2.1")
+        m.generateMesh("Qa2.1")
 
         seg = m.getMeshSegments()
@@ -1462,5 +1462,5 @@
         titles = ['ele','friction']
         m.attributeTitles = titles
-        m.generateMesh("QApza2.1")
+        m.generateMesh("Qa2.1")
 
         seg = m.getMeshSegments()