Index: /documentation/planning/priorities.tex
===================================================================
--- /documentation/planning/priorities.tex	(revision 2353)
+++ /documentation/planning/priorities.tex	(revision 2354)
@@ -43,6 +43,9 @@
 where the first is primarily resourced by Jane Sexton and Nick Bartzis, the second by Stephen Roberts and Ole Nielsen, while the third is the responsibility of Ole Nielsen and Duncan Gray. Significant overlaps are expected and names assigned to tasks are tentative only. 
 
+Overarching these three streams is a fourth stream, management, which covers coordination of the FESA project and management of the inundation modelling team.
 
-\section*{Specific case studies}
+\section*{Specific case studies (production)}
+
+
 
 The list in order of importance but subject to availability of
@@ -55,4 +58,5 @@
     This project has synergies with the ANUGA Demo initiative (Everyone)
   \item Port Hedland. Also part of the WA project. (Jane, Nick)
+  \item Rerun Wollongong with slump (pending better defition of slump sizes) (Nick, Adrian)
   \item NSW state study  
   \item SE Qld study
@@ -61,9 +65,9 @@
 within the next 12 months) and consultation has occurred with stakeholders.
 \end{enumerate}
-No more than priority 1-2 are expected to complete before 30 June 2006.
+Given that the production line is in a start-up phase and the needs outlined in the research and development streams, no more than priority 1-2 are expected to complete before 30 June 2006. However, once streamlined, we expect a production rate of about one scenario per month.
 
 
 
-\section*{Research topics.}
+\section*{Research topics}
 
 The list is
@@ -71,9 +75,9 @@
 \begin{enumerate} 
   \item Sensitivity study using Onslow project (Jane, Ole)
-  \item Probabilistic integration with URS model (Ole, Trevor)  
   \item Validation (Ole et al with David Burbidge \& Tom Baldock UQ)  
   \item Momentum sink study (Duncan)
-  \item Landslide modelling paper with Dr Mueller, Sydney (Jane, Ole, Adrian)  
-  \item Automatic definition of mesh-resolution based on data values (Duncan) 
+  \item Submarine landslide modelling paper with Dr Mueller, Sydney (Jane, Ole, Adrian)  
+  \item Probabilistic integration with URS model, pending URS data (Ole, Trevor)    
+  \item Automatic definition of mesh-resolution based on data (e.g. depth or gradients). Perhaps use wavelet transforms. 
   \item Effect of debris on flow and damage 
   \item Write ANUGA in term of latitudes and longitudes
@@ -99,5 +103,5 @@
   \item Bug fixing (see tickets in TRAC) - ongoing (Duncan \& Ole)
   \item Integrated damage modelling (Nick?)
-  \item Streamlined end-to-end process (Ole, Neil, Nick, Jane)
+  \item Streamlined end-to-end process including production management of files (Ole, Neil, Nick, Jane, Duncan)
   \item Map2PDF vs ArcReader (Neil)
   \item Easy interface to building regions of variable resolution (Duncan)
@@ -116,17 +120,51 @@
 
 
-\section*{Other stuff.}
+\section*{Roles and responsibilities}
 
-The list is
 
+This is a first cut only. Please comment!
+
+
+\subsection*{Inundation modelling team}
 \begin{enumerate} 
-  \item Coordinate FESA project (Jane)
-  \item Coordinate ANUGA project (Ole)
-  \item Coordinate IM issues (Duncan)
-  %\item Coordinate something (Trevor)
+  \item \textbf{Duncan}: Take responsibility for the code development and maintenance.
+  Represent the inundation modelling project in the corporate IM context.     
+  Take responsibility for one or more research projects, and contribute to production on a needs basis.  
+  \item \textbf{Jane}: Coordinate FESA production project, take responsibility for one or 
+  more research projects and contribute to production and code development on a needs basis.
+  \item \textbf{Nick}: Take responsibility for the production stream, develop visualisation techniques, 
+  and contribute to code development on a needs basis.
+  \item \textbf{Ole}: Coordinate the inundation modelling project. 
+  Manage the balance and requirements between the research, development and production stream. 
+  Take responsibility for the code development and maintenance as well as one or more research projects. 
+  Contribute to production on a needs basis.    
 \end{enumerate}
 
+
+\subsection*{Stakeholders}
+\begin{enumerate} 
+  \item \textbf{Adrian}: Provide input to submarine landslide research.
+  \item \textbf{Hamish}: Coordinate collection and supply of topographic data.    
+  \item \textbf{Neil}: Coordinate development of GIS decision tool. 
+    Assist with collection and supply of topographic data.  
+  \item \textbf{Stephen}: Contribute to research and further development of hydrodynamic model.   
+  \item \textbf{Trevor}: Develop new engagements with external stakeholders such as state governments.  
+  \item Others?
+\end{enumerate}
     
 
+The allocation to the different streams from the core inundation modelling team in terms of 
+4 full time equivalents (FTE) are
+
+\begin{itemize} 
+\item \textbf{Production}: 1.25 FTE  (Mainly Nick)
+\item \textbf{Research}: 1 FTE
+\item \textbf{Code development and maintenance}: 1 FTE
+\item \textbf{Management}: 0.75 FTE (0.5 FESA, 0.25 TEAM)
+\end{itemize}
+
+        
+    
+    
 \end{document}
 