Index: swollen_viewer/INSTALL
===================================================================
--- swollen_viewer/INSTALL	(revision 2368)
+++ 	(revision )
@@ -1,122 +1,0 @@
-
-
-BUILDING FROM SOURCE
-
-1) The pyVolution Visualizer has several dependencies. 
-
-   OpenThreads, Producer, OpenSceneGraph:
-            - http://openscenegraph.sourceforge.net
-            - available as a bundle, OSG_OP_OT-0.9.8, that contains
-              OpenThreads, (Open)Producer and OpenSceneGraph as 
-              subdirectories.  
-            - OpenSceneGraph has 3rd party dependencies, these are
-              available as a downloadable .zip for Windows.  Extracted
-              .zip directory (3rdParty) lives alongside other three
-              subdirectories.
-            - Build "release" versions in above order
-            - ensure you can run the examples that come with OSG
-              prior to building the viewer (these live in the 
-              OpenSceneGraph/bin directory on Windows).
-
-   NetCDF   - a self-describing binary file format I/O library
-            - http://my.unidata.ucar.edu/content/software/netcdf/index.html
-            - require the header file netcdf.h and the library proper to
-              link against
-
-   cppUnit  - a unit testing framework for C++
-            - http://cppunit.sourceforge.net
-            - this is optional
-
-
-2) Set environment variables:
-
-   OSG_ROOT :  root of your OpenSceneGraph installation
-               conforming to following layout
-
-               OSG_ROOT
-                 /OpenThreads
-                    /lib
-                       /win32 (for VisualStudio builds)
-                    /include
-                 /Producer
-                    /lib
-                    /include
-                 /OpenSceneGraph
-                    /lib
-                    /include
-                 /3rdParty (Windows only)
-
-   NETCDF_DIR :  root of NetCDF binary package with needed subdirs 
-                 /lib and /include
-
-   CPPUNIT :  root of c++ unit testing framework with needed subdirs 
-              /lib and /include (optional) 
-
-
-3) Compilation
-
-
-   WINDOWS
-
-      (i) Within VisualStudio, Open the solution in Swollen visualstudio subdirectory
-     (ii) Open Menu Tools|Options|Projects|VC++Directories and add a
-          path to $(NETCDF_DIR)/bin and $(OSG_ROOT)/bin.
-     (iii) Build the solution
-
-
-   Mac OSX
-
-          Run make in top-level OSG_ROOT directory.
-
-
-   Linux
-
-          Makefiles not yet written
-
-
-
-4) The binary swollen (swollen.exe on Windows) lives in the distribution's
-   bin directory.  Test the build with any of the sample datasets in the
-   distribution's data subdirectory, e.g., 
-         "cd bin; ./swollen ../data/laminar.sww"
-	 
-
-=========================================	 	 
-RUNNING SWOLLEN
-
-Fix for swollen not locating sky and water texture images when binary
-found using PATH environment variable. The fix is to set an
-environment variable SWOLLEN_BINDIR pointing to your distro
-directory. This is not an optimal approach, but it works.
-
-
-
-=========================================
-STEREO
-
-Minor tweaks to re-enable stereo functionality. I have verified that this works on the vizlab active stereo system. For the GA passive stereo system, youll need to set the following environment variables.
-
-Environment Variable Name Value Description 
-OSG_STEREO_MODE HORIZONTAL_SPLIT Use horizontal split stereo mode when in stereo 
-OSG_SCREEN_DISTANCE 0.50 Set the distance the viewer is from screen in metres (default shown) 
-OSG_SCREEN_HEIGHT 0.26 Set the height of image on the screen in metres (default shown) 
-OSG_SCREEN_WIDTH 0.325 Set the width of image on the screen in metres (default shown) 
-OSG_EYE_SEPARATION 0.06 Set the eye separation  interoccular distance (default shown.) 
-OSG_SPLIT_STEREO_HORIZONTAL_SEPARATION 42 Set the number of pixels between the left and right viewports (default shown) 
-
-The default physical dimensions are for a computer monitor. These need to be adjusted for the larger setup. Typical values might be 2m viewing distance from screen, screen dimensions of 2m x 1.5m. Eye separation obviously stays the same. Then just start swollen with the dash dash stereo flag.
-
-The GA edge:
-OSG_STEREO_MODE QUAD_BUFFER
-OSG_SCREEN_DISTANCE 3.0 
-OSG_SCREEN_HEIGHT 2.0
-OSG_SCREEN_WIDTH 2.66
-OSG_EYE_SEPARATION 0.06 
-OSG_SPLIT_STEREO_HORIZONTAL_SEPARATION 0
-
-	 
-===========DEBUG
-
-set OSG_NOTIFY_LEVEL=DEBUG
-
-
Index: swollen_viewer/INSTALL.txt
===================================================================
--- swollen_viewer/INSTALL.txt	(revision 2382)
+++ swollen_viewer/INSTALL.txt	(revision 2382)
@@ -0,0 +1,122 @@
+
+
+BUILDING FROM SOURCE
+
+1) The pyVolution Visualizer has several dependencies. 
+
+   OpenThreads, Producer, OpenSceneGraph:
+            - http://openscenegraph.sourceforge.net
+            - available as a bundle, OSG_OP_OT-0.9.8, that contains
+              OpenThreads, (Open)Producer and OpenSceneGraph as 
+              subdirectories.  
+            - OpenSceneGraph has 3rd party dependencies, these are
+              available as a downloadable .zip for Windows.  Extracted
+              .zip directory (3rdParty) lives alongside other three
+              subdirectories.
+            - Build "release" versions in above order
+            - ensure you can run the examples that come with OSG
+              prior to building the viewer (these live in the 
+              OpenSceneGraph/bin directory on Windows).
+
+   NetCDF   - a self-describing binary file format I/O library
+            - http://my.unidata.ucar.edu/content/software/netcdf/index.html
+            - require the header file netcdf.h and the library proper to
+              link against
+
+   cppUnit  - a unit testing framework for C++
+            - http://cppunit.sourceforge.net
+            - this is optional
+
+
+2) Set environment variables:
+
+   OSG_ROOT :  root of your OpenSceneGraph installation
+               conforming to following layout
+
+               OSG_ROOT
+                 /OpenThreads
+                    /lib
+                       /win32 (for VisualStudio builds)
+                    /include
+                 /Producer
+                    /lib
+                    /include
+                 /OpenSceneGraph
+                    /lib
+                    /include
+                 /3rdParty (Windows only)
+
+   NETCDF_DIR :  root of NetCDF binary package with needed subdirs 
+                 /lib and /include
+
+   CPPUNIT :  root of c++ unit testing framework with needed subdirs 
+              /lib and /include (optional) 
+
+
+3) Compilation
+
+
+   WINDOWS
+
+      (i) Within VisualStudio, Open the solution in Swollen visualstudio subdirectory
+     (ii) Open Menu Tools|Options|Projects|VC++Directories and add a
+          path to $(NETCDF_DIR)/bin and $(OSG_ROOT)/bin.
+     (iii) Build the solution
+
+
+   Mac OSX
+
+          Run make in top-level OSG_ROOT directory.
+
+
+   Linux
+
+          Makefiles not yet written
+
+
+
+4) The binary swollen (swollen.exe on Windows) lives in the distribution's
+   bin directory.  Test the build with any of the sample datasets in the
+   distribution's data subdirectory, e.g., 
+         "cd bin; ./swollen ../data/laminar.sww"
+	 
+
+=========================================	 	 
+RUNNING SWOLLEN
+
+Fix for swollen not locating sky and water texture images when binary
+found using PATH environment variable. The fix is to set an
+environment variable SWOLLEN_BINDIR pointing to your distro
+directory. This is not an optimal approach, but it works.
+
+
+
+=========================================
+STEREO
+
+Minor tweaks to re-enable stereo functionality. I have verified that this works on the vizlab active stereo system. For the GA passive stereo system, youll need to set the following environment variables.
+
+Environment Variable Name Value Description 
+OSG_STEREO_MODE HORIZONTAL_SPLIT Use horizontal split stereo mode when in stereo 
+OSG_SCREEN_DISTANCE 0.50 Set the distance the viewer is from screen in metres (default shown) 
+OSG_SCREEN_HEIGHT 0.26 Set the height of image on the screen in metres (default shown) 
+OSG_SCREEN_WIDTH 0.325 Set the width of image on the screen in metres (default shown) 
+OSG_EYE_SEPARATION 0.06 Set the eye separation  interoccular distance (default shown.) 
+OSG_SPLIT_STEREO_HORIZONTAL_SEPARATION 42 Set the number of pixels between the left and right viewports (default shown) 
+
+The default physical dimensions are for a computer monitor. These need to be adjusted for the larger setup. Typical values might be 2m viewing distance from screen, screen dimensions of 2m x 1.5m. Eye separation obviously stays the same. Then just start swollen with the dash dash stereo flag.
+
+The GA edge:
+OSG_STEREO_MODE QUAD_BUFFER
+OSG_SCREEN_DISTANCE 3.0 
+OSG_SCREEN_HEIGHT 2.0
+OSG_SCREEN_WIDTH 2.66
+OSG_EYE_SEPARATION 0.06 
+OSG_SPLIT_STEREO_HORIZONTAL_SEPARATION 0
+
+	 
+===========DEBUG
+
+set OSG_NOTIFY_LEVEL=DEBUG
+
+